KProtocolInfo::ExtraField Struct Reference

`#include <kprotocolinfo.h>`

## Public Member Functions

| ExtraField (const QString &_name, const QString &_type)

## Public Attributes

QString | name
QString | type

## Detailed Description

Definition of an extra field in the UDS entries, returned by a listDir operation.

The name is the name of the column, translated.

The type name comes from QVariant::typeName() Currently supported types: "QString", "QDateTime" (ISO-8601 format)

Since
  3.2

Definition at line 175 of file kprotocolinfo.h.

The documentation for this struct was generated from the following file:

- kprotocolinfo.h

KDE Home | KDE Accessibility Home | Description of Access Keys